Skip to main content
Infrastructure/Assets
GETAssetLinkSince 1.1.0SynchronousAuth Required

ListAssetLinkOverlay

List overlay asset links for a Region topology root without changing the topology tree structure.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • regionUuidString

    区域UUID。

  • rootAssetTypeString

    根资产类型。

  • rootAssetUuidString

    根资产UUID。

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • uuidString

      Unique identifier of the asset link

      Example: link-uuid

    • regionUuidString

      Region uuid for this resource

      Example: value

    • sourcePlatformUuidString

      Source platform uuid for this resource

      Example: value

    • sourceAssetTypeString

      Source asset type for this resource

      Example: value

    • sourceAssetUuidString

      Source asset uuid for this resource

      Example: value

    • sourceAssetNameString

      Source asset name for this resource

      Example: value

    • targetPlatformUuidString

      Target platform uuid for this resource

      Example: value

    • targetAssetTypeString

      Target asset type for this resource

      Example: value

    • targetAssetUuidString

      Target asset uuid for this resource

      Example: value

    • targetAssetNameString

      Target asset name for this resource

      Example: value

    • linkTypeString

      Link type for this resource

      Example: value

    • matchMethodString

      Match method for this resource

      Example: value

    • confidenceLong

      Confidence score of the current asset-link match

      Example: 0.95

    • statusString

      Status for this resource

      Example: value

    • sourceDetectionString

      Source detection for this resource

      Example: value

    • matchFieldsString

      Match fields for this resource

      Example: value

    • candidateSetString

      Candidate set for this resource

      Example: value

    • statusReasonString

      Status reason for this resource

      Example: value

    • displayHintString

      Display hint for this resource

      Example: value

    • lastDetectedAtString

      Last detected at for this resource

      Example: 2026-01-15T08:00:00Z

    • createDateString

      Create date for this resource

      Example: 2026-01-15T08:00:00Z

    • lastOpDateString

      Last op date for this resource

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total for this resource

    Example: 10

  • limitInteger

    Limit for this resource

    Example: 10

  • offsetInteger

    Offset for this resource

    Example: 10

Endpoint

GET/api/v1/asset-links/overlay

/api/v1/asset-links/overlay

Operation ID

ListAssetLinkOverlay

Permalink

Request Example

curl -X GET '{host}/api/v1/asset-links/overlay?regionUuid=region-uuid&rootAssetType=region&rootAssetUuid=region-uuid' -H 'Authorization: Bearer {token}'

Response Example

200
{"items": [{"uuid": "link-uuid", "regionUuid": "value", "sourcePlatformUuid": "value", "sourceAssetType": "value", "sourceAssetUuid": "value", "sourceAssetName": "value", "targetPlatformUuid": "value", "targetAssetType": "value"}], "total": 10, "limit": 10, "offset": 10}

Change History

This API has no change history records yet.

View all change history